package com.cf.cs.database.service;


import com.cf.cs.database.pojo.entity.RoleResource;
import com.mybatisflex.core.service.IService;

import java.util.List;

/**
 * 权限资源 服务层。
 *
 * @author mybatis -flex-helper automatic generation
 * @since 1.0
 */
public interface RoleResourceService extends IService<RoleResource> {
    /**
     * Gets role resource by role name.
     *
     * @param roleName the role name
     * @return the role resource by role name
     */
    List<RoleResource> getRoleResourceByRoleName(String roleName);

    /**
     * Gets role resource by role id.
     *
     * @param roleId the role id
     * @return the role resource by role id
     */
    List<RoleResource> getRoleResourceByRoleId(Long roleId);
}