package com.cf.cs.protocol.pojo.po;

import com.cf.cs.base.common.ErrorCode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * The type Base resp status.
 *
 * @author xajhuang @163.com
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseRespStatus {
    private Integer  status = ErrorCode.ERR_OK.getCode();
    private String[] message = new String[] {ErrorCode.ERR_OK.getDescription()};
}
