package com.cf.cs.protocol.pojo.po;

import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Data;

/**
 * The type Processor info.
 *
 * @author xajhuang @163.com
 */
@Data
@JsonPropertyOrder({"cpuVendor", "cpuName", "processorId", "cpuIdentifier", "microArchitecture", "cpu64bit", "cpuVendorFreq",
                    "physicalCpus", "physicalCores", "logicalCpu"})
public class ProcessorInfo {
    private String  cpuVendor;
    private String  cpuName;
    private String  processorId;
    private String  cpuIdentifier;
    private String  microArchitecture;
    private Boolean cpu64bit;
    private Long    cpuVendorFreq;
    private Integer physicalCpus;
    private Integer physicalCores;
    private Integer logicalCpu;
}
