package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Set;

/**
 * The type Dict type resp.
 *
 * @author xajhuang @163.com
 */
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@JsonPropertyOrder({"enumDict", "status", "message"})
public class DictTypeResp extends BaseRespStatus {
    /**
     * The Enum dict.
     */
    Set<String> enumDict;
}
