package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.cf.cs.protocol.pojo.po.HwInfo;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * The type Get hw info resp.
 *
 * @author xajhuang @163.com
 */
@Schema(name = "系统硬件信息")
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@JsonPropertyOrder({"hwInfo", "status", "message"})
@AllArgsConstructor
@NoArgsConstructor
public class GetHwInfoResp extends BaseRespStatus {
    private HwInfo hwInfo;
}
