package com.cf.cs.restful.service;

/**
 * The interface User service.
 *
 * @author xajhuang @163.com
 */
public interface UserService {
    /**
     * Register user.
     *
     * @param username the username
     * @param password the password
     * @param roleId   the role id
     */
    void registerUser(String username, String password, Long roleId);

    /**
     * Remove user.
     *
     * @param uid the uid
     */
    void removeUser(String uid);
}
