-- 关闭外键约束检查
set foreign_key_checks = 0;

INSERT IGNORE INTO rbac_user (id, uid, username, gender, role_id) VALUES (1, 'e472582b-88b9-4fe8-8ca7-c8e3b0aa2851', 'admin', 0, 1);
INSERT IGNORE INTO rbac_user (id, uid, username, gender, role_id) VALUES (2, '22adc004-a9f6-4a5d-8be3-ae3629a4ba1b', 'user', 1, 3);
INSERT IGNORE INTO rbac_user (id, uid, username, gender, role_id) VALUES (3, '44ede496-d538-4a1d-afb9-bc409f752738', 'guest', 0, 4);

INSERT IGNORE INTO rbac_role (id, available, description, name) VALUES (1, true, '超级管理员可以对企业内的所有用户进行管理，请谨慎修改超管权限', 'ADMIN');
INSERT IGNORE INTO rbac_role (id, available, description, name) VALUES (2, true, '项目开发人员', 'DEVELOPMENT');
INSERT IGNORE INTO rbac_role (id, available, description, name) VALUES (3, true, '普通的用户', 'USER');
INSERT IGNORE INTO rbac_role (id, available, description, name) VALUES (4, false, '系统访客，不需要认证，最小权限', 'GUEST');

INSERT IGNORE INTO rbac_user_credential (id, credential, identifier, identity_type, user_id, state, error_cnt) VALUES (1, '$2a$10$5Arh4lqTumXH5b5J0cQ/D.Sc3Fs0wlB1otRm91PTep3q/dxjy0VyC', 'admin', 0, 1, 0, 0);
INSERT IGNORE INTO rbac_user_credential (id, credential, identifier, identity_type, user_id, state, error_cnt) VALUES (2, '$2a$10$wCwH9D1.ushoN7ywoh0arepzP79vZuyy6LuKBtEVY3quQiQMjQe.q', 'user', 0, 2, 0, 0);
INSERT IGNORE INTO rbac_user_credential (id, credential, identifier, identity_type, user_id, state, error_cnt) VALUES (3, '$2a$10$IUZ.LdcBLWwmNhNPhy/zSOiDPweRp0kkiVn7I5gULTj9CgRUfhu.q', 'guest', 0, 3, 0, 0);

-- ----------------------------
-- Records of resource_type
-- ----------------------------
INSERT IGNORE INTO rbac_resource_type VALUES(0, '路由');
INSERT IGNORE INTO rbac_resource_type VALUES(1, '菜单');
INSERT IGNORE INTO rbac_resource_type VALUES(2, '按钮');

-- ----------------------------
-- Records of resource
-- ----------------------------
INSERT IGNORE INTO rbac_resource_data VALUES (1, '98ca121c-56e7-4aa7-9351-8d9633f768a1', '/api/version', '获取版本信息', 'GET', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (2, '673f62f0-3ca7-41f1-82d0-8e3d2ac47512', '/api/version', '获取版本信息', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (100, 'f3b718ee-aa58-4b14-b466-1412b6e35c74', '/api/operation/summary', '获取操作日志摘要', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (101, 'acba3926-6e5d-4a80-a957-a045b4e76c7e', '/api/operation/details', '获取操作日志详情', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (200, 'c50d5501-4483-4556-bdb5-1c1cd66c6980', '/api/permission/allRoles', '获取当前所有用户组', 'GET', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (201, '21374966-ab7f-4d22-82af-6199a6c14616', '/api/permission/resourcePermission', '获取当前用户资源权限', 'GET', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (202, '86114665-35d8-40b9-86d0-84fdbda4eadc', '/api/permission/resourcePermission', '获取用户资源权限', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (203, '9434daf9-ebb9-48ab-8c4e-ecf8edef9f76', '/api/permission/resource', '注册新资源', 'PUT', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (204, '995e26c0-82df-4751-8b2d-a62b29cd7385', '/api/permission/resource', '注册新资源', 'DELETE', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (300, '58e36be5-f725-4d98-bd7d-8f7377219ed6', '/api/user/userInfo', '获取用户信息', 'GET', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (301, 'fa2b3740-8672-49d3-9792-25976b767ade', '/api/user/userInfo', '获取用户信息', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (302, '221c8d8e-c47a-4200-88a8-34d374a76d01', '/api/user/register', '注册新用户', 'PUT', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (303, '8adf6875-2be4-459e-9c1d-3bb87114cb08', '/api/user/remove', '删除用户', 'DELETE', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (304, '4c6c859b-2625-45eb-83b8-1426ff96dbe6', '/api/user/userList', '分页获取当前所有用户', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (400, '8ac928d8-5a6a-47c7-8697-0fb9ebd7249d', '/api/dict/enum/allDict', '获取所以枚举字典列表', 'GET', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (401, '9ecf1662-f891-4829-8d3e-81c42bf22e2a', '/api/dict/enum/dictContent', '获取枚举字典详细内容', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (402, 'C083F441-9624-AF2C-B353-0768F9C0A932', '/api/dict/user/add', '新增用户字典', 'PUT', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (403, '953cea37-cc7a-4e7e-bd86-cb3c14daa8c4', '/api/dict/user/upgrade', '修改用户字典', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (404, '247674fb-759d-4b01-8d35-2c0436d2ed99', '/api/dict/user/delete', '删除用户字典', 'DELETE', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (405, '54b43614-45c6-4672-a1d8-fa8f326d5e53', '/api/dict/user/allDict', '分页获取所有用户字典', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (406, 'e441dbb4-b844-461c-a5f8-07ee3fa658cc', '/api/dict/user/getDictContent', '获取用户字典详细信息', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (407, 'c803571e-ba0d-4f3d-bcc8-76488b1af22a', '/api/dict/user/addDictContent', '新增用户字典详细信息', 'PUT', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (408, '99106f7a-6c4e-4438-ad40-65ed9417d0b4', '/api/dict/user/upgradeDictContent', '更新用户字典详细信息', 'POST', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (409, 'a4c04e8f-d495-46ca-b67e-79cc9a91d623', '/api/dict/user/deleteDictContent', '删除用户字典详细信息', 'DELETE', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (500, '3e7b6439-8d66-4409-84db-16fcbb115215', '/api/systemInfo/osInfo', '获取操作系统信息', 'GET', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (501, 'a958211f-083e-4a2d-b21d-5442090486d2', '/api/systemInfo/processorInfo', '获取系统处理器信息', 'GET', 0);
INSERT IGNORE INTO rbac_resource_data VALUES (502, 'f5dcb609-692d-4f81-b3fa-0f4dc3c891fb', '/api/systemInfo/hwInfo', '获取系统硬件信息', 'GET', 0);

-- ----------------------------
-- Records of role_resource
-- (role_id, resource_id, authorize)
-- ----------------------------
INSERT IGNORE INTO rbac_role_resource VALUES (1, 1, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 2, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 100, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 101, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 200, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 201, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 202, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 203, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 204, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 300, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 301, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 302, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 303, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 304, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 400, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 401, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 402, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 403, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 404, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 405, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 406, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 407, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 408, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 409, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 500, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 501, 1);
INSERT IGNORE INTO rbac_role_resource VALUES (1, 502, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (2, 1, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (2, 2, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (2, 3, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (2, 4, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (2, 5, 1);
#
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (3, 1, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (3, 3, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (3, 4, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (3, 5, 1);
#
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (4, 1, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (4, 3, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (4, 4, 1);
# INSERT IGNORE INTO role_resource (role_id, resource_id, authorize) VALUES (4, 5, 1);

-- ----------------------------
-- Records of casbin_rule
-- ----------------------------
# INSERT IGNORE INTO `casbin_rule` VALUES (1, 'g', 'admin', 'ADMIN', NULL, NULL, NULL, NULL);
# INSERT IGNORE INTO `casbin_rule` VALUES (2, 'g', 'user', 'DEVELOPMENT', NULL, NULL, NULL, NULL);
# INSERT IGNORE INTO `casbin_rule` VALUES (3, 'g', 'development', 'USER', NULL, NULL, NULL, NULL);
# INSERT IGNORE INTO `casbin_rule` VALUES (4, 'g', 'guest', 'GUEST', NULL, NULL, NULL, NULL);
#
# INSERT IGNORE INTO `casbin_rule` VALUES (5, 'p', 'ADMIN', '/api/version', '(GET)|(POST)', 'allow', NULL, NULL);
# INSERT IGNORE INTO `casbin_rule` VALUES (6, 'p', 'DEVELOPMENT', '/api/version', 'GET', 'allow', NULL, NULL);
# INSERT IGNORE INTO `casbin_rule` VALUES (7, 'p', 'USER', '/api/version', 'GET', 'allow', NULL, NULL);
# INSERT IGNORE INTO `casbin_rule` VALUES (8, 'p', 'GUEST', '/api/version', 'GET', 'allow', NULL, NULL);
#
# INSERT IGNORE INTO `casbin_rule` VALUES (9, 'p', 'DEVELOPMENT', '/swagger-ui/*', 'GET', 'allow', NULL, NULL);
# INSERT IGNORE INTO `casbin_rule` VALUES (10, 'p', 'USER', '/swagger-ui/*', 'GET', 'deny', NULL, NULL);
# INSERT IGNORE INTO `casbin_rule` VALUES (11, 'p', 'GUEST', '/swagger-ui/*', 'GET', 'deny', NULL, NULL);

# INSERT IGNORE INTO user_role (user_id, role_id) VALUES (1, 1);
# INSERT IGNORE INTO user_role (user_id, role_id) VALUES (2, 3);
# INSERT IGNORE INTO user_role (user_id, role_id) VALUES (3, 4);
#
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (1, '根节点', null, '*', null, null, null);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (2, '仪表盘', null, 'dashboard', 0, '/dashboard', 1);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (3, '系统管理', null, 'sys', 0, '/sys', 1);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (4, '用户管理', null, 'user:view', 0, '/users', 3);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (5, '角色管理', null, 'role:view', 0, '/roles', 3);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (6, '权限资源', null, 'resource:view', 0, '/resources', 3);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (7, '查看用户', null, 'user:view', 1, null, 4);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (8, '新增用户', null, 'user:create', 1, null, 4);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (9, '修改用户', null, 'user:update', 1, null, 4);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (10, '删除用户', null, 'user:delete', 1, null, 4);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (11, '查看角色', null, 'role:view', 1, null, 5);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (12, '新增角色', null, 'role:create', 1, null, 5);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (13, '修改角色', null, 'role:update', 1, null, 5);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (14, '删除角色', null, 'role:delete', 1, null, 5);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (15, '查看资源', null, 'resource:view', 1, null, 6);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (16, '新增资源', null, 'resource:create', 1, null, 6);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (17, '修改资源', null, 'resource:update', 1, null, 6);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (18, '删除资源', null, 'resource:delete', 1, null, 6);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (19, '新增组织架构', null, 'organization:create', 1, null, 4);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (20, '修改组织架构', null, 'organization:update', 1, null, 4);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (21, '删除组织架构', null, 'organization:delete', 1, null, 4);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (22, '操作日志', null, 'log:view', 0, '/logs', 3);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (23, '清空日志', null, 'log:clean', 1, null, 22);
# INSERT IGNORE INTO resource (id, name, parent_ids, permission, type, url, parent_id) VALUES (24, '查看日志', null, 'log:view', 1, null, 22);
#
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 2);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 3);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 4);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 5);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 6);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 7);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 8);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 9);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 10);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 11);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 12);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 13);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 14);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 15);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 16);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 17);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 18);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 19);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 20);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 21);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 22);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 23);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (1, 24);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 2);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 3);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 6);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 15);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 16);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 17);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 18);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 22);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 23);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (2, 24);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (3, 2);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (4, 2);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (4, 3);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (4, 4);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (4, 5);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (4, 6);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (4, 7);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (4, 11);
# INSERT IGNORE INTO role_resource (role_id, resource_id) VALUES (4, 15);

#insert into sys_dict_type values(1,  '用户性别', 'sys_user_sex',        '0', 'admin', sysdate(), '', null, '用户性别列表');
#INSERT IGNORE INTO rbac_user (id, uid, username, gender, role_id) VALUES (3, '44ede496-d538-4a1d-afb9-bc409f752738', 'guest', 0, 4);
INSERT IGNORE INTO sys_dict_type (id, dict_name, dict_type, create_by, remark) VALUES (1, '资源类型', 'sys_res_type', 'admin', '资源类型列表');
INSERT IGNORE INTO sys_dict_type (id, dict_name, dict_type, create_by, remark) VALUES (2, '用户组', 'sys_role_group', 'admin', '用户组列表');


INSERT IGNORE INTO sys_dict_data VALUES (1, 1, '路由', 0, 1, '', '','Y', 'admin', CURRENT_TIMESTAMP(6), '', null, 'URI 路由资源', null);
INSERT IGNORE INTO sys_dict_data VALUES (2, 2, '菜单', 1, 1, '', '','N', 'admin', CURRENT_TIMESTAMP(6), '', null, 'UI 菜单资源', null);
INSERT IGNORE INTO sys_dict_data VALUES (3, 3, '按钮', 2, 1, '', '','N', 'admin', CURRENT_TIMESTAMP(6), '', null, 'UI 按钮资源', null);

INSERT IGNORE INTO sys_dict_data VALUES (4, 1, 'ADMIN', 1, 2, '', '','N', 'admin', CURRENT_TIMESTAMP(6), '', null, '超级管理员可以对企业内的所有用户进行管理，请谨慎修改超管权限', null);
INSERT IGNORE INTO sys_dict_data VALUES (5, 2, 'DEVELOPMENT', 2, 2, '', '','N', 'admin', CURRENT_TIMESTAMP(6), '', null, '项目开发人员', null);
INSERT IGNORE INTO sys_dict_data VALUES (6, 3, 'USER', 3, 2, '', '','N', 'admin', CURRENT_TIMESTAMP(6), '', null, '普通的用户', null);
INSERT IGNORE INTO sys_dict_data VALUES (7, 4, 'GUEST', 4, 2, '', '','N', 'admin', CURRENT_TIMESTAMP(6), '', null, '系统访客，不需要认证，最小权限', null);

# INSERT IGNORE INTO sys_dict_data VALUES (4, 1, '正常', '0', 'sys_common_status', '', '','Y', '0', 'admin', CURRENT_TIMESTAMP(6), '', null, 'UI 按钮资源', null);
# INSERT IGNORE INTO sys_dict_data VALUES (5, 2, '已锁定', '1', 'sys_common_status', '', '','N', '0', 'admin', CURRENT_TIMESTAMP(6), '', null, 'UI 按钮资源', null);
# INSERT IGNORE INTO sys_dict_data VALUES (6, 3, '已禁用', '2', 'sys_common_status', '', '','N', '0', 'admin', CURRENT_TIMESTAMP(6), '', null, 'UI 按钮资源', null);
# INSERT IGNORE INTO sys_dict_data VALUES (7, 4, '已删除', '3', 'sys_common_status', '', '','N', '0', 'admin', CURRENT_TIMESTAMP(6), '', null, 'UI 按钮资源', null);

-- 开启外键约束检查
set foreign_key_checks = 1;