package com.cf.cs.authentication.configure;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * The type Casbin configure.
 *
 * @author xajhuang @163.com
 */
@Data
@ConfigurationProperties(prefix = "casbin")
@Configuration
@Slf4j
public class CasbinConfigure {
    private String modelPath;
    private String policyPath;
}
