package com.cf.cs.integratetest.controller;

import com.cf.cs.integratetest.common.TestBaseAuthentication;
import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.MethodOrderer;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.TestInstance;
import org.junit.jupiter.api.TestMethodOrder;
import org.junit.jupiter.api.extension.ExtendWith;
import org.springframework.test.context.junit.jupiter.SpringExtension;
import org.springframework.transaction.annotation.Transactional;

@ExtendWith({SpringExtension.class})
@Transactional
@TestInstance(TestInstance.Lifecycle.PER_CLASS)
@TestMethodOrder(MethodOrderer.OrderAnnotation.class)
@SuppressWarnings("java:S5786")
public class UserManagerApiTest extends TestBaseAuthentication {
    @Test
    void testGetUserInfoById() {
        Assertions.assertNotNull(this.getHeaders());
    }

    @Test
    void testGetAllUserInfoPaged() {
        Assertions.assertNotNull(this.getHeaders());
    }

    @Test
    void testGetCurrentUserInfo() {
        Assertions.assertNotNull(this.getHeaders());
    }

    @Test
    void testCreateNewUser() {
        Assertions.assertNotNull(this.getHeaders());
    }

    @Test
    void testRemoveUser() {
        Assertions.assertNotNull(this.getHeaders());
    }
}
