package com.cf.cs.protocol.pojo.vo;

import com.cf.cs.protocol.pojo.po.BaseRespStatus;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.sql.Timestamp;

/**
 * The type Get os info resp.
 *
 * @author xajhuang @163.com
 */
@Schema(name = "操作系统信息")
@EqualsAndHashCode(callSuper = true)
@Data
@Builder
@JsonPropertyOrder({"os", "bootTime", "status", "message"})
@AllArgsConstructor
@NoArgsConstructor
public class GetOsInfoResp extends BaseRespStatus {
    private String    os;
    private Timestamp bootTime;
}
